Name:           cockpit-image-builder
Version:        v54
Release:        1.20250120122100085479.pr2758.31.g7c82629b%{?dist}
Summary:        Image builder plugin for Cockpit

License:        Apache-2.0
URL:            http://osbuild.org/
Source0:        cockpit-image-builder-55.tar.gz

# Drop obsoletes until functional enough compared to cockpit-composer
# Obsoletes:      cockpit-composer < 54
# Provides:       cockpit-composer = %{version}-%{release}

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  nodejs

Requires:       cockpit
Requires:       osbuild-composer >= 103

%description
The image-builder-frontend generates custom images suitable for
deploying systems or uploading to the cloud. It integrates into Cockpit
as a frontend for osbuild.

%prep
%setup -q -n cockpit-image-builder

%build
# Nothing to build

%install
%make_install PREFIX=/usr
# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc cockpit/README.md
%license LICENSE
%{_datadir}/cockpit/cockpit-image-builder
%{_datadir}/metainfo/*

%changelog
# the changelog is distribution-specific, therefore there's just one entry
# to make rpmlint happy.

* Mon Jan 20 2025 Packit <hello@packit.dev> - v54-1.20250120122100085479.pr2758.31.g7c82629b
- store/cockpitApi: update getArchitectures endpoint (Gianluca Zuccarelli)
- store/cockpitApi: add architecture raw response (Gianluca Zuccarelli)
- [WIP] store/cockpitApi: image type translation helper (Gianluca Zuccarelli)
- store:/cockpitApi: add cockpitBaseQuery (Gianluca Zuccarelli)
- on-prem: target env icons (Gianluca Zuccarelli)
- store: add missing apis to onPrem (Gianluca Zuccarelli)
- store/backendApi: create a useBackendPrefetch hook (Gianluca Zuccarelli)
- store/cockpitApi: empty get oscap profiles function (Gianluca Zuccarelli)
- store/cockpitApi: get blueprint endpoint (Gianluca Zuccarelli)
- store/cockpitApi: getArchitectures endpoint (Gianluca Zuccarelli)
- Utilities: fix useGetEnvironment (Gianluca Zuccarelli)
- multi: on-prem can't use the unleash flag (Gianluca Zuccarelli)
- cockpit: switch to hashrouter (Gianluca Zuccarelli)
- Wizard: Parse old snapshot dates when editing (regexowl)
- build(deps): bump @unleash/proxy-client-react from 4.4.0 to 4.5.1 (dependabot[bot])
- build(deps-dev): bump @typescript-eslint/eslint-plugin (dependabot[bot])
- ESLint: Set "no-unnecessary-condition" rule to warn (regexowl)
- store/cockpitApi: fix version number (Gianluca Zuccarelli)
- store/cockpitApi: blueprint pagination (Gianluca Zuccarelli)
- store/cockpitApi: blueprint links (Gianluca Zuccarelli)
- store/cockpitApi: fix blueprint filtering (Gianluca Zuccarelli)
- Wizard: Fix repo status formatting (regexowl)
- build(deps-dev): bump @redhat-cloud-services/frontend-components-config (dependabot[bot])
- build(deps): bump @sentry/webpack-plugin from 2.22.7 to 3.0.0 (dependabot[bot])
- cockpit/spec: post-release version bump (Sanne Raymaekers)
- build(deps-dev): bump jsdom from 25.0.1 to 26.0.0 (dependabot[bot])
- store/backendApi: export the relevant store api (Gianluca Zuccarelli)
- store/cockpitApi: add delete endpoint (Gianluca Zuccarelli)
- cockpit/webpack: path polyfill (Gianluca Zuccarelli)
- Makefile: update installation (Gianluca Zuccarelli)
- Wizard: Firewall ports input (regexowl)

* Mon Jan 13 2025 Image Builder team <osbuilders@redhat.com> - 0-1
- The changelog was added to the rpm spec file.
